#ifndef _BSP_SYS_H
#define _BSP_SYS_H


typedef struct {
    u32 rst_reason;
    u32 wakeup_reason;
#if SYS_SLEEP_LEVEL
    u32 sleep_time;
    u32 sleep_delay;
    u32 sleep_sta;
#endif
#if SYS_OFF_TIME
    u32 pwroff_time;
    u32 pwroff_delay;
#endif
#if FUNC_WIRELESS_EN
    u8 peer_usb_is_active;
#endif // FUNC_WIRELESS_EN
} sys_cb_t;

extern sys_cb_t sys_cb;
extern bool bTransmitEn;

void bsp_sys_init(void);
void bsp_periph_init(void);
void sys_ram_info_dump(void);
void sys_flash_guid_dump(void);
void usr_tmr5ms_thread_do(void);

#endif // _BSP_SYS_H

